Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.security
Class KeyBootstrap

    java.lang.Object
      |
      +--com.beasys.commerce.ebusiness.security.KeyBootstrap

public class KeyBootstrap
extends java.lang.Object
implements weblogic.common.T3StartupDef, weblogic.time.common.Schedulable, weblogic.time.common.Triggerable

Used as a startup class to bootstrap public and private keys. Checks a property in the commerce.properties file to determine if the application wants to be encryption enabled. The property is is.encryption.enabled=true/false

Constructor Summary
`KeyBootstrap()` Constructor comment.

Method Summary
`boolean` | `bindKeys()` This does most of the work in the class.
`long` | `schedule(long t)` Callback from WLS to renew the scheduled callback.
`void` | `setServices(weblogic.common.T3ServicesDef services)` setServices method comment.
`java.lang.String` | `startup(java.lang.String name, java.util.Hashtable props)` Implements T3StartupDef gets called by the container as part of startup
`void` | `trigger(weblogic.time.common.Schedulable sched)` Timed callback from WLS used to maintain a reference to the KeyFactory to prevent its garbage collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyBootstrap

    public KeyBootstrap()

  Constructor comment.

Method Detail

### setServices

    public void setServices(weblogic.common.T3ServicesDef services)

  setServices method comment.
  Specified by:
    setServices in interface weblogic.common.T3StartupDef

### startup

    public java.lang.String startup(java.lang.String name,
                                    java.util.Hashtable props)
                             throws java.lang.Exception

  Implements T3StartupDef gets called by the container as part of startup
  Specified by:
    startup in interface weblogic.common.T3StartupDef

  Returns:
    String Message that gets put in the weblogic log.

### bindKeys

    public boolean bindKeys()
                     throws java.lang.Exception

  This does most of the work in the class.

### trigger

    public void trigger(weblogic.time.common.Schedulable sched)

  Timed callback from WLS used to maintain a reference to the KeyFactory to prevent its garbage collection.
  Specified by:
    trigger in interface weblogic.time.common.Triggerable

  Parameters:
    `sched` - (not used)
  Returns:
    The time of the next callback.

### schedule

    public long schedule(long t)

  Callback from WLS to renew the scheduled callback.
  Specified by:
    schedule in interface weblogic.time.common.Schedulable

  Parameters:
    `t` - the current time.
  Returns:
    The time of the next callback.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved